<?xml version="1.0"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>com.yonge.toolset</groupId>
		<artifactId>toolset</artifactId>
		<version>1.0</version>
	</parent>
	<groupId>com.yonge.toolset</groupId>
	<artifactId>thirdparty-component</artifactId>
	<version>1.0</version>
	<name>thirdparty-component</name>
	<url>http://maven.apache.org</url>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>
	<dependencies>
		<dependency>
			<groupId>com.yonge.toolset</groupId>
			<artifactId>toolset-base</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.yonge.toolset</groupId>
			<artifactId>utils</artifactId>
		</dependency>

		<dependency>
			<groupId>com.aliyun.oss</groupId>
			<artifactId>aliyun-sdk-oss</artifactId>
			<version>2.8.3</version>
		</dependency>

		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-email</artifactId>
			<version>1.5</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-openfeign</artifactId>
		</dependency>
		<!-- https://mvnrepository.com/artifact/io.github.openfeign.form/feign-form-spring -->
		<dependency>
			<groupId>io.github.openfeign.form</groupId>
			<artifactId>feign-form-spring</artifactId>
		</dependency>
		<!-- https://mvnrepository.com/artifact/io.github.openfeign.form/feign-form-spring -->
		<dependency>
			<groupId>io.github.openfeign.form</groupId>
			<artifactId>feign-form-spring</artifactId>
		</dependency>

		<dependency>
			<groupId>com.ksyun</groupId>
			<artifactId>ks3-kss-java-sdk</artifactId>
			<version>0.8.14</version>
		</dependency>

		<dependency>
			<groupId>com.timevale</groupId>
			<artifactId>tech-sdk</artifactId>
			<version>2.1.20</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/libs/tech-sdk-2.1.20.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.timevale</groupId>
			<artifactId>smUtil</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/libs/smUtil-1.0.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.timevale</groupId>
			<artifactId>tgtext</artifactId>
			<version>3.2.14</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/libs/tgtext-3.2.14.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.timevale</groupId>
			<artifactId>utils</artifactId>
			<version>3.0.6</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/libs/utils-3.0.6.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
					<encoding>UTF-8</encoding>
					<compilerArguments>
						<extdirs>${project.basedir}/libs</extdirs>
					</compilerArguments>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
